Subject: bug#31493: please add null-terminated line output for sha256sum, sha1sum, etc

From: Daniel Kahn Gillmor <[email-masked]>
Date: Mon, 11 Jun 2018 16:17:35 -0400

On Sun 2018-06-10 18:02:02 -0700, Pádraig Brady wrote:
> I used --zero rather than --zero-terminated like other tools that
> only change _output_ format with -z, rather than supporting it also
> as an _input_ format. It would complicate the processing to support
> --check of input with --zero, with no added functionality.
> Having --check support this format, would also an incompat with
> older versions of these tools.

this looks like a fine first step to me, and i hope it will be merged.
thanks for working on it, Pádraig!

I'm not convinced yet that adding --zero for the --check functionality
is a guaranteed incompatibility.  Clearly the same flags would need to
be used on both sides, but i don't see why having it available in
--check would be a problem.

        --dkg